org.eclnt.jsfserver.elements.impl

## Class AREASELECTORBinding

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.AREASELECTORBinding

- All Implemented Interfaces:
    java.io.Serializable, IDynamicContentBindingObject

      public class AREASELECTORBinding
      extends java.lang.Object
      implements java.io.Serializable, IDynamicContentBindingObject

  Counter part of AREASELECTOR component - containing all the data that is passed from the component. Some of the attribute can also be set - and then are interpreted on client side accordingly.
  The component selects a graphical, rectangular area within its component space. The coordinates of this area are passed - together with the width and height of the total component's area.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AREASELECTORBinding()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getPixelHeight()`
    `int` | `getPixelPosX1()`
    `int` | `getPixelPosX2()`
    `int` | `getPixelPosY1()`
    `int` | `getPixelPosY2()`
    `int` | `getPixelWidth()`
    `void` | `setPixelHeight(int pixelHeight)`
    `void` | `setPixelPosX1(int pixelPosX1)`
    `void` | `setPixelPosX2(int pixelPosX2)`
    `void` | `setPixelPosY1(int pixelPosY1)`
    `void` | `setPixelPosY2(int pixelPosY2)`
    `void` | `setPixelWidth(int pixelWidth)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AREASELECTORBinding

          public AREASELECTORBinding()

  - ### Method Detail

    - #### getPixelPosX1

          public int getPixelPosX1()

    - #### setPixelPosX1

          public void setPixelPosX1(int pixelPosX1)

    - #### getPixelPosX2

          public int getPixelPosX2()

    - #### setPixelPosX2

          public void setPixelPosX2(int pixelPosX2)

    - #### getPixelPosY1

          public int getPixelPosY1()

    - #### setPixelPosY1

          public void setPixelPosY1(int pixelPosY1)

    - #### getPixelPosY2

          public int getPixelPosY2()

    - #### setPixelPosY2

          public void setPixelPosY2(int pixelPosY2)

    - #### getPixelHeight

          public int getPixelHeight()

    - #### setPixelHeight

          public void setPixelHeight(int pixelHeight)

    - #### getPixelWidth

          public int getPixelWidth()

    - #### setPixelWidth

          public void setPixelWidth(int pixelWidth)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © CaptainCasa Gmbh. All Rights Reserved.